
D4Science Infrastructure - Incident #4168

Message received email notifications exception

Jun 01, 2016 06:40 PM - Massimiliano Assante

Status: Closed Start date: Jun 01, 2016

Priority: Normal Due date: Jun 06, 2016

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 2.00 hours

Target version: UnSprintable   

Infrastructure: Production   

Description

When trying to send an email notification about a Message, the following exception is raised in the stack trace.

It seems, it tries to find the feedId related to the message to reconstruct the post thread (which obviously does not exist)

2016-06-01 16:30:31,449 ERROR mailing.EmailPlugin [Thread-75,getMessageNotification:446] %org.gcub

e.portal.databook.shared.ex.FeedIDNotFoundException: The requested feedid: 06a6a1eb-ae45-4098-a46c

-b7e73f9736be is not existing

    at org.gcube.portal.databook.server.DBCassandraAstyanaxImpl.readFeed(DBCassandraAstyanaxImpl.j

ava:471)

    at org.gcube.applicationsupportlayer.social.mailing.EmailPlugin.getMessageNotification(EmailPl

ugin.java:434)

    at org.gcube.applicationsupportlayer.social.mailing.EmailNotificationsConsumer.run(EmailNotifi

cationsConsumer.java:136)

[PORTAL] 15765982 [Thread-75] ERROR org.gcube.applicationsupportlayer.social.mailing.EmailPlugin  

- Unable to retrieve feeds/comments

org.gcube.portal.databook.shared.ex.FeedIDNotFoundException: The requested feedid: 06a6a1eb-ae45-4

098-a46c-b7e73f9736be is not existing

    at org.gcube.portal.databook.server.DBCassandraAstyanaxImpl.readFeed(DBCassandraAstyanaxImpl.j

ava:471)

    at org.gcube.applicationsupportlayer.social.mailing.EmailPlugin.getMessageNotification(EmailPl

ugin.java:434)

    at org.gcube.applicationsupportlayer.social.mailing.EmailNotificationsConsumer.run(EmailNotifi

cationsConsumer.java:136)

Related issues:

Related to D4Science Infrastructure - Support #4156: Possible Problem on Emai... Closed Jun 01, 2016 Jun 02, 2016

History

#1 - Jun 01, 2016 06:42 PM - Massimiliano Assante

- Related to Support #4156: Possible Problem on Email Notifications added

#2 - Jun 02, 2016 06:06 PM - Massimiliano Assante

- Priority changed from High to Urgent

After some tests, I confirm the initial suspect, the message reply feature is not working, while it is working the post and comments reply. The message

reply fails beacuse of the reason explained above.

#3 - Jun 05, 2016 06:25 PM - Massimiliano Assante

- Status changed from New to In Progress

- Assignee changed from Costantino Perciante to Massimiliano Assante

#4 - Jun 05, 2016 07:21 PM - Massimiliano Assante

- Priority changed from Urgent to Normal

- % Done changed from 0 to 50

this exception is caught correctly and does not cause the problem. There is a null pointer in the email reader for i-marine still investigating why

#5 - Jun 05, 2016 07:44 PM - Massimiliano Assante
- Status changed from In Progress to Closed

- % Done changed from 50 to 90

problem identified and fixed, 

the cause was a message reply (from Julien) to the iMarine Gateway also containing other addresses besides the one of the gateway (in the TO:),

and we were not resilient to this. 

Unfortunately this problem blocked all the email replies since Jun 1st, now they're getting delivered and the message containing other addresses

which cause the problem is going to be discarded.

Here is the problematic message header:

06/01/2016 (04:49:35 PM CEST)

To:

Giancarlo Panichi, Marine Gateway

Cc:

 g.panichi@isti.cnr.it Gianpaolo Coro

#6 - Jun 05, 2016 10:54 PM - Gianpaolo Coro

I fear there have been many other messages like this, especially in the last days.

#7 - Jun 06, 2016 10:09 AM - Massimiliano Assante

- % Done changed from 90 to 100

The problem occurs, (or better, occurred, because is now patched) if and only if the first addressee in the To: field of your email client is not the

Gateway, you could add other addresses in the To (leaving as first the gateway) and you could cc and bcc whoever you like, this does not affect the

correct delivery of the message. 

Unfortunately the Julien's email had Giancarlo's email ad first address in the To, and this blocked the gateway (periodic) email parser. None of the

other emails received by the gateway were processed after Julien's email, the emails were still in the Gateway's inbox and they have been processed

correctly yesterday after the patch was deployed on iMarine Gateway.
